Skip to main content
Create Appointment Custom Field

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

select
string

Filtering Columns

Body

application/json

appointment_custom_field

appointment_id
string<uuid>

Appointment ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Appointment custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text> | null

Appointment custom field key

value
string<text> | null

Value of appointment custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value

Response

The updated Appointment Custom Field object

appointment_id
string<uuid>

Appointment ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Appointment custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text> | null

Appointment custom field key

value
string<text> | null

Value of appointment custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value